{
  "type": "forge:conditional",
  "recipes": [
    {
      "conditions": [
        {
          "value": "animal_oil_bottle",
          "type": "delightful:enabled"
        }
      ],
      "recipe": {
        "type": "minecraft:crafting_shaped",
        "pattern": [
          "sos",
          " s ",
          "   "
        ],
        "key": {
          "o": {
            "item": "delightful:animal_oil_bottle"
          },
          "s": {
            "tag": "forge:rods/wooden"
          }
        },
        "result": {
          "item": "hardcore_torches:unlit_torch",
          "count": 3
        }
      }
    }
  ]
}